Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.net
Class CompactEndpointSerializationHelper

    java.lang.Object
      org.apache.cassandra.net.CompactEndpointSerializationHelper

    public class CompactEndpointSerializationHelper

extends java.lang.Object

Constructor Summary
`CompactEndpointSerializationHelper()`

Method Summary
`static java.net.InetAddress` | `deserialize(java.io.DataInput dis)`
`static void` | `serialize(java.net.InetAddress endpoint, java.io.DataOutput dos)`
`static int` | `serializedSize(java.net.InetAddress from)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompactEndpointSerializationHelper

    public CompactEndpointSerializationHelper()

Method Detail

### serialize

    public static void serialize(java.net.InetAddress endpoint,
                                 java.io.DataOutput dos)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### deserialize

    public static java.net.InetAddress deserialize(java.io.DataInput dis)
                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializedSize

    public static int serializedSize(java.net.InetAddress from)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation